package com.jsowell.pile.domain;

import com.jsowell.common.annotation.Excel;
import com.jsowell.common.core.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 申请开票对象 order_invoice_record
 *
 * @author jsowell
 * @date 2023-04-10
 */
@Data
public class OrderInvoiceRecord extends BaseEntity {
	private static final long serialVersionUID = 1L;

	/**
	 *
	 */
	private Integer id;

	/**
	 * 会员id
	 */
	@Excel(name = "会员id")
	private String memberId;

	/**
	 * 发票抬头id
	 */
	@Excel(name = "发票抬头id")
	private String titleId;

	private String phoneNumber;

	private String email;

	/**
	 * 申请订单编号（逗号分割）
	 */
	@Excel(name = "申请订单编号", readConverterExp = "逗=号分割")
	private String orderCodes;

	/**
	 * 状态（0-未开发票；1-已开发票）
	 */
	@Excel(name = "状态", readConverterExp = "0=-未开发票；1-已开发票")
	private String status;

	/**
	 * 开票总金额
	 */
	@Excel(name = "开票总金额")
	private BigDecimal totalAmount;

	/**
	 * 总服务费金额
	 */
	@Excel(name = "总服务费金额")
	private BigDecimal totalServiceAmount;

	/**
	 * 总电费金额
	 */
	@Excel(name = "总电费金额")
	private BigDecimal totalElecAmount;

	/**
	 * 删除标识（0-正常；1-删除）
	 */
	private String delFlag;

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getId() {
		return id;
	}

	public void setMemberId(String memberId) {
		this.memberId = memberId;
	}

	public String getMemberId() {
		return memberId;
	}

	public void setOrderCodes(String orderCodes) {
		this.orderCodes = orderCodes;
	}

	public String getOrderCodes() {
		return orderCodes;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getStatus() {
		return status;
	}

	public void setTotalAmount(BigDecimal totalAmount) {
		this.totalAmount = totalAmount;
	}

	public BigDecimal getTotalAmount() {
		return totalAmount;
	}

	public void setTotalServiceAmount(BigDecimal totalServiceAmount) {
		this.totalServiceAmount = totalServiceAmount;
	}

	public BigDecimal getTotalServiceAmount() {
		return totalServiceAmount;
	}

	public void setTotalElecAmount(BigDecimal totalElecAmount) {
		this.totalElecAmount = totalElecAmount;
	}

	public BigDecimal getTotalElecAmount() {
		return totalElecAmount;
	}

	public void setDelFlag(String delFlag) {
		this.delFlag = delFlag;
	}

	public String getDelFlag() {
		return delFlag;
	}

	@Override
	public String toString() {
		return new ToStringBuilder(this, ToStringStyle.JSON_STYLE)
				.append("id", getId())
				.append("memberId", getMemberId())
				.append("orderCodes", getOrderCodes())
				.append("status", getStatus())
				.append("totalAmount", getTotalAmount())
				.append("totalServiceAmount", getTotalServiceAmount())
				.append("totalElecAmount", getTotalElecAmount())
				.append("createBy", getCreateBy())
				.append("createTime", getCreateTime())
				.append("updateBy", getUpdateBy())
				.append("updateTime", getUpdateTime())
				.append("delFlag", getDelFlag())
				.toString();
	}
}
